﻿@{
    ViewBag.Title = null;
    var getTransactionDou = (List<Cdio447.Models.rent_transaction>)ViewBag.getTransactionDou;
    var getTransactionRent = (List<Cdio447.Models.rent_transaction>)ViewBag.getTransactionRent;
}
@using Cdio447.Supports;
<div id="notification" class="mr-2">
    <div class="dropdown h-100 d-flex">
        <button class="dropdown-toggle" type="button" id="dropdownMenuMessage" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fa fa-bell"></i>
        </button>
        <div class="dropdown-menu mt-0" aria-labelledby="dropdownMenuMessage">
            <ul class="nav nav-tabs" id="myTab" role="tablist">
                <li class="nav-item p-0">
                    <a class="nav-link active" id="home-tab" data-toggle="tab" href="#dou" role="tab" aria-controls="home" aria-selected="true">Yêu cầu dou</a>
                </li>
                <li class="nav-item p-0">
                    <a class="nav-link" id="profile-tab" data-toggle="tab" href="#rent" role="tab" aria-controls="profile" aria-selected="false">Yêu cầu thuê</a>
                </li>
            </ul>
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active" id="dou" role="tabpanel" aria-labelledby="home-tab">
                    @foreach (var get in getTransactionDou)
                    {
                        int index = getTransactionDou.IndexOf(get);
                        //accept
                        if (index <= 6)
                        {
                            if (get.status == 1)
                            {
                                var str = get.user_rent.display_name + " đã yêu cầu thuê bạn trong " + get.total_time + " giờ";
                                <li class="notification-item p-2">
                                    <a href="@Url.Action("NotificationList", "User")">
                                        <div class="notification-item-content">
                                            @str
                                        </div>
                                        <div class="notification-item-time">
                                            <span>@FunctionSupport.convertDatetimeVN(get.created_at)</span>
                                        </div>
                                    </a>
                                </li>
                            }
                        }
                    }
                    @if (getTransactionDou.Count > 7)
                    {
                        <li class="notification-item p-2 text-center" style="border-top: 1px solid rgba(0,0,0,.15)">
                            <a href="@Url.Action("NotificationList", "User")">
                                <div>Xem thêm</div>
                            </a>
                        </li>
                    }
                </div>
                <div class="tab-pane fade" id="rent" role="tabpanel" aria-labelledby="profile-tab">
                    @foreach (var get in getTransactionRent)
                    {
                        if (get.status == 2)//reject
                        {
                            var str = get.user_dou.display_name + " đã từ chối yêu cầu thuê của bạn";
                            <li class="notification-item p-2">
                                <div class="notification-item-content">
                                    <a href="@Url.Action("Detail", "User", new { id = get.user_dou.id })">@str</a>
                                </div>
                                <div class="notification-item-time">
                                    <span>@FunctionSupport.convertDatetimeVN(get.created_at)</span>
                                </div>
                            </li>
                        }
                        if (get.status == 3)//accept
                        {
                            var str = get.user_dou.display_name + " đã chấp nhận yêu cầu thuê của bạn";
                            <li class="notification-item p-2">
                                <div class="notification-item-content">
                                    <a href="@Url.Action("Detail", "User", new { id = get.user_dou.id })">@str</a>
                                </div>
                                <div class="notification-item-time">
                                    <span>@FunctionSupport.convertDatetimeVN(get.created_at)</span>
                                </div>
                            </li>
                        }
                    }
                </div>
            </div>
        </div>
    </div>
</div>

